package com.fs.crm.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 客户员工认领对象 crm_customer_user
 * 
 * @author fs
 * @date 2022-12-21
 */
public class CrmCustomerUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long customerUserId;

    /** 销售ID */
    @Excel(name = "销售ID")
    private Long companyUserId;

    /** $column.columnComment */
    @Excel(name = "销售ID")
    private Long customerId;

    /** 状态  1初次接洽 2意向购买 3已成交 4未成交 */
    @Excel(name = "状态  1初次接洽 2意向购买 3已成交 4未成交")
    private Integer status;

    /** 成交时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成交时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dealTime;

    /** 认领开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "认领开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 认领结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "认领结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 放入公海时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "放入公海时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date poolTime;

    /** 最新一次联系时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最新一次联系时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastTime;

    /** $column.columnComment */
    @Excel(name = "最新一次联系时间")
    private Long companyId;

    private Integer isPool;

    public Integer getIsPool() {
        return isPool;
    }

    public void setIsPool(Integer isPool) {
        this.isPool = isPool;
    }

    public void setCustomerUserId(Long customerUserId)
    {
        this.customerUserId = customerUserId;
    }

    public Long getCustomerUserId() 
    {
        return customerUserId;
    }
    public void setCompanyUserId(Long companyUserId) 
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId() 
    {
        return companyUserId;
    }
    public void setCustomerId(Long customerId) 
    {
        this.customerId = customerId;
    }

    public Long getCustomerId() 
    {
        return customerId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setDealTime(Date dealTime) 
    {
        this.dealTime = dealTime;
    }

    public Date getDealTime() 
    {
        return dealTime;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setLimitTime(Date limitTime) 
    {
        this.limitTime = limitTime;
    }

    public Date getLimitTime() 
    {
        return limitTime;
    }
    public void setPoolTime(Date poolTime) 
    {
        this.poolTime = poolTime;
    }

    public Date getPoolTime() 
    {
        return poolTime;
    }
    public void setLastTime(Date lastTime) 
    {
        this.lastTime = lastTime;
    }

    public Date getLastTime() 
    {
        return lastTime;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("customerUserId", getCustomerUserId())
            .append("companyUserId", getCompanyUserId())
            .append("customerId", getCustomerId())
            .append("status", getStatus())
            .append("dealTime", getDealTime())
            .append("startTime", getStartTime())
            .append("limitTime", getLimitTime())
            .append("poolTime", getPoolTime())
            .append("createTime", getCreateTime())
            .append("lastTime", getLastTime())
            .append("companyId", getCompanyId())
            .toString();
    }
}
